Bug 187283 - `service fenced status` returns 1 when fenced is running (should return 0)
`service fenced status` returns 1 when fenced is running (should return 0)
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-03-29 14:17 EST by Stanko Kupcevic
Modified: 2009-12-22 16:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-22 16:20:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stanko Kupcevic 2006-03-29 14:17:25 EST
Description of problem:
`/etc/init.d/fenced status` returns 1 when fenced is running (should return 0).

This causes problems for conga, when it determines cluster status and
starts/stops a node. 

'status' deviates from behavior of other init scripts, and so is a bug. 

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Jim Parsons 2006-08-08 09:13:29 EDT
This is fixed in 4.4
Comment 2 Lon Hohberger 2009-12-22 16:20:50 EST
Verified in fence-1.32.67-1.el4, but was probably fixed earlier.

Note You need to log in before you can comment on or make changes to this bug.